function C = matmat(A,B )
% function to multiply two matrices
% input : A mxn matrix
%         B nxp matrix
% output: C mxp matrix such that C = AB

% test that the sizes are consistent
[m,n1] = size(A);
[n2,p] = size(B);

% test that the sizes are consistent
if n1 ~= n2
    error('sizes are not consistent \n');
end
% create matrix C 
C = zeros(m,p);

% perform the nest loop
for i=1:m
    for j = 1:p
        C(i,j) = A(i,:)*B(:,j);
    end
end

end

